Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network223.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
223.0.0.0
Broadcast address
223.255.255.255
First usable
223.0.0.1
Last usable
223.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex DF000000 · Integer 3741319168 to 3758096383
Reverse DNS zone
223.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011111..00000000.00000000.00000000223.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11011111..00000000.00000000.00000000223.0.0.0
Broadcast11011111..11111111.11111111.11111111223.255.255.255
Split into smaller subnets/16

223.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1223.0.0.0/16223.0.0.1 to 223.0.255.254223.0.255.25565,534
2223.1.0.0/16223.1.0.1 to 223.1.255.254223.1.255.25565,534
3223.2.0.0/16223.2.0.1 to 223.2.255.254223.2.255.25565,534
4223.3.0.0/16223.3.0.1 to 223.3.255.254223.3.255.25565,534
5223.4.0.0/16223.4.0.1 to 223.4.255.254223.4.255.25565,534
6223.5.0.0/16223.5.0.1 to 223.5.255.254223.5.255.25565,534
7223.6.0.0/16223.6.0.1 to 223.6.255.254223.6.255.25565,534
8223.7.0.0/16223.7.0.1 to 223.7.255.254223.7.255.25565,534
9223.8.0.0/16223.8.0.1 to 223.8.255.254223.8.255.25565,534
10223.9.0.0/16223.9.0.1 to 223.9.255.254223.9.255.25565,534
11223.10.0.0/16223.10.0.1 to 223.10.255.254223.10.255.25565,534
12223.11.0.0/16223.11.0.1 to 223.11.255.254223.11.255.25565,534
13223.12.0.0/16223.12.0.1 to 223.12.255.254223.12.255.25565,534
14223.13.0.0/16223.13.0.1 to 223.13.255.254223.13.255.25565,534
15223.14.0.0/16223.14.0.1 to 223.14.255.254223.14.255.25565,534
16223.15.0.0/16223.15.0.1 to 223.15.255.254223.15.255.25565,534
17223.16.0.0/16223.16.0.1 to 223.16.255.254223.16.255.25565,534
18223.17.0.0/16223.17.0.1 to 223.17.255.254223.17.255.25565,534
19223.18.0.0/16223.18.0.1 to 223.18.255.254223.18.255.25565,534
20223.19.0.0/16223.19.0.1 to 223.19.255.254223.19.255.25565,534
21223.20.0.0/16223.20.0.1 to 223.20.255.254223.20.255.25565,534
22223.21.0.0/16223.21.0.1 to 223.21.255.254223.21.255.25565,534
23223.22.0.0/16223.22.0.1 to 223.22.255.254223.22.255.25565,534
24223.23.0.0/16223.23.0.1 to 223.23.255.254223.23.255.25565,534
25223.24.0.0/16223.24.0.1 to 223.24.255.254223.24.255.25565,534
26223.25.0.0/16223.25.0.1 to 223.25.255.254223.25.255.25565,534
27223.26.0.0/16223.26.0.1 to 223.26.255.254223.26.255.25565,534
28223.27.0.0/16223.27.0.1 to 223.27.255.254223.27.255.25565,534
29223.28.0.0/16223.28.0.1 to 223.28.255.254223.28.255.25565,534
30223.29.0.0/16223.29.0.1 to 223.29.255.254223.29.255.25565,534
31223.30.0.0/16223.30.0.1 to 223.30.255.254223.30.255.25565,534
32223.31.0.0/16223.31.0.1 to 223.31.255.254223.31.255.25565,534
33223.32.0.0/16223.32.0.1 to 223.32.255.254223.32.255.25565,534
34223.33.0.0/16223.33.0.1 to 223.33.255.254223.33.255.25565,534
35223.34.0.0/16223.34.0.1 to 223.34.255.254223.34.255.25565,534
36223.35.0.0/16223.35.0.1 to 223.35.255.254223.35.255.25565,534
37223.36.0.0/16223.36.0.1 to 223.36.255.254223.36.255.25565,534
38223.37.0.0/16223.37.0.1 to 223.37.255.254223.37.255.25565,534
39223.38.0.0/16223.38.0.1 to 223.38.255.254223.38.255.25565,534
40223.39.0.0/16223.39.0.1 to 223.39.255.254223.39.255.25565,534
41223.40.0.0/16223.40.0.1 to 223.40.255.254223.40.255.25565,534
42223.41.0.0/16223.41.0.1 to 223.41.255.254223.41.255.25565,534
43223.42.0.0/16223.42.0.1 to 223.42.255.254223.42.255.25565,534
44223.43.0.0/16223.43.0.1 to 223.43.255.254223.43.255.25565,534
45223.44.0.0/16223.44.0.1 to 223.44.255.254223.44.255.25565,534
46223.45.0.0/16223.45.0.1 to 223.45.255.254223.45.255.25565,534
47223.46.0.0/16223.46.0.1 to 223.46.255.254223.46.255.25565,534
48223.47.0.0/16223.47.0.1 to 223.47.255.254223.47.255.25565,534
49223.48.0.0/16223.48.0.1 to 223.48.255.254223.48.255.25565,534
50223.49.0.0/16223.49.0.1 to 223.49.255.254223.49.255.25565,534
51223.50.0.0/16223.50.0.1 to 223.50.255.254223.50.255.25565,534
52223.51.0.0/16223.51.0.1 to 223.51.255.254223.51.255.25565,534
53223.52.0.0/16223.52.0.1 to 223.52.255.254223.52.255.25565,534
54223.53.0.0/16223.53.0.1 to 223.53.255.254223.53.255.25565,534
55223.54.0.0/16223.54.0.1 to 223.54.255.254223.54.255.25565,534
56223.55.0.0/16223.55.0.1 to 223.55.255.254223.55.255.25565,534
57223.56.0.0/16223.56.0.1 to 223.56.255.254223.56.255.25565,534
58223.57.0.0/16223.57.0.1 to 223.57.255.254223.57.255.25565,534
59223.58.0.0/16223.58.0.1 to 223.58.255.254223.58.255.25565,534
60223.59.0.0/16223.59.0.1 to 223.59.255.254223.59.255.25565,534
61223.60.0.0/16223.60.0.1 to 223.60.255.254223.60.255.25565,534
62223.61.0.0/16223.61.0.1 to 223.61.255.254223.61.255.25565,534
63223.62.0.0/16223.62.0.1 to 223.62.255.254223.62.255.25565,534
64223.63.0.0/16223.63.0.1 to 223.63.255.254223.63.255.25565,534
65223.64.0.0/16223.64.0.1 to 223.64.255.254223.64.255.25565,534
66223.65.0.0/16223.65.0.1 to 223.65.255.254223.65.255.25565,534
67223.66.0.0/16223.66.0.1 to 223.66.255.254223.66.255.25565,534
68223.67.0.0/16223.67.0.1 to 223.67.255.254223.67.255.25565,534
69223.68.0.0/16223.68.0.1 to 223.68.255.254223.68.255.25565,534
70223.69.0.0/16223.69.0.1 to 223.69.255.254223.69.255.25565,534
71223.70.0.0/16223.70.0.1 to 223.70.255.254223.70.255.25565,534
72223.71.0.0/16223.71.0.1 to 223.71.255.254223.71.255.25565,534
73223.72.0.0/16223.72.0.1 to 223.72.255.254223.72.255.25565,534
74223.73.0.0/16223.73.0.1 to 223.73.255.254223.73.255.25565,534
75223.74.0.0/16223.74.0.1 to 223.74.255.254223.74.255.25565,534
76223.75.0.0/16223.75.0.1 to 223.75.255.254223.75.255.25565,534
77223.76.0.0/16223.76.0.1 to 223.76.255.254223.76.255.25565,534
78223.77.0.0/16223.77.0.1 to 223.77.255.254223.77.255.25565,534
79223.78.0.0/16223.78.0.1 to 223.78.255.254223.78.255.25565,534
80223.79.0.0/16223.79.0.1 to 223.79.255.254223.79.255.25565,534
81223.80.0.0/16223.80.0.1 to 223.80.255.254223.80.255.25565,534
82223.81.0.0/16223.81.0.1 to 223.81.255.254223.81.255.25565,534
83223.82.0.0/16223.82.0.1 to 223.82.255.254223.82.255.25565,534
84223.83.0.0/16223.83.0.1 to 223.83.255.254223.83.255.25565,534
85223.84.0.0/16223.84.0.1 to 223.84.255.254223.84.255.25565,534
86223.85.0.0/16223.85.0.1 to 223.85.255.254223.85.255.25565,534
87223.86.0.0/16223.86.0.1 to 223.86.255.254223.86.255.25565,534
88223.87.0.0/16223.87.0.1 to 223.87.255.254223.87.255.25565,534
89223.88.0.0/16223.88.0.1 to 223.88.255.254223.88.255.25565,534
90223.89.0.0/16223.89.0.1 to 223.89.255.254223.89.255.25565,534
91223.90.0.0/16223.90.0.1 to 223.90.255.254223.90.255.25565,534
92223.91.0.0/16223.91.0.1 to 223.91.255.254223.91.255.25565,534
93223.92.0.0/16223.92.0.1 to 223.92.255.254223.92.255.25565,534
94223.93.0.0/16223.93.0.1 to 223.93.255.254223.93.255.25565,534
95223.94.0.0/16223.94.0.1 to 223.94.255.254223.94.255.25565,534
96223.95.0.0/16223.95.0.1 to 223.95.255.254223.95.255.25565,534
97223.96.0.0/16223.96.0.1 to 223.96.255.254223.96.255.25565,534
98223.97.0.0/16223.97.0.1 to 223.97.255.254223.97.255.25565,534
99223.98.0.0/16223.98.0.1 to 223.98.255.254223.98.255.25565,534
100223.99.0.0/16223.99.0.1 to 223.99.255.254223.99.255.25565,534
101223.100.0.0/16223.100.0.1 to 223.100.255.254223.100.255.25565,534
102223.101.0.0/16223.101.0.1 to 223.101.255.254223.101.255.25565,534
103223.102.0.0/16223.102.0.1 to 223.102.255.254223.102.255.25565,534
104223.103.0.0/16223.103.0.1 to 223.103.255.254223.103.255.25565,534
105223.104.0.0/16223.104.0.1 to 223.104.255.254223.104.255.25565,534
106223.105.0.0/16223.105.0.1 to 223.105.255.254223.105.255.25565,534
107223.106.0.0/16223.106.0.1 to 223.106.255.254223.106.255.25565,534
108223.107.0.0/16223.107.0.1 to 223.107.255.254223.107.255.25565,534
109223.108.0.0/16223.108.0.1 to 223.108.255.254223.108.255.25565,534
110223.109.0.0/16223.109.0.1 to 223.109.255.254223.109.255.25565,534
111223.110.0.0/16223.110.0.1 to 223.110.255.254223.110.255.25565,534
112223.111.0.0/16223.111.0.1 to 223.111.255.254223.111.255.25565,534
113223.112.0.0/16223.112.0.1 to 223.112.255.254223.112.255.25565,534
114223.113.0.0/16223.113.0.1 to 223.113.255.254223.113.255.25565,534
115223.114.0.0/16223.114.0.1 to 223.114.255.254223.114.255.25565,534
116223.115.0.0/16223.115.0.1 to 223.115.255.254223.115.255.25565,534
117223.116.0.0/16223.116.0.1 to 223.116.255.254223.116.255.25565,534
118223.117.0.0/16223.117.0.1 to 223.117.255.254223.117.255.25565,534
119223.118.0.0/16223.118.0.1 to 223.118.255.254223.118.255.25565,534
120223.119.0.0/16223.119.0.1 to 223.119.255.254223.119.255.25565,534
121223.120.0.0/16223.120.0.1 to 223.120.255.254223.120.255.25565,534
122223.121.0.0/16223.121.0.1 to 223.121.255.254223.121.255.25565,534
123223.122.0.0/16223.122.0.1 to 223.122.255.254223.122.255.25565,534
124223.123.0.0/16223.123.0.1 to 223.123.255.254223.123.255.25565,534
125223.124.0.0/16223.124.0.1 to 223.124.255.254223.124.255.25565,534
126223.125.0.0/16223.125.0.1 to 223.125.255.254223.125.255.25565,534
127223.126.0.0/16223.126.0.1 to 223.126.255.254223.126.255.25565,534
128223.127.0.0/16223.127.0.1 to 223.127.255.254223.127.255.25565,534
129223.128.0.0/16223.128.0.1 to 223.128.255.254223.128.255.25565,534
130223.129.0.0/16223.129.0.1 to 223.129.255.254223.129.255.25565,534
131223.130.0.0/16223.130.0.1 to 223.130.255.254223.130.255.25565,534
132223.131.0.0/16223.131.0.1 to 223.131.255.254223.131.255.25565,534
133223.132.0.0/16223.132.0.1 to 223.132.255.254223.132.255.25565,534
134223.133.0.0/16223.133.0.1 to 223.133.255.254223.133.255.25565,534
135223.134.0.0/16223.134.0.1 to 223.134.255.254223.134.255.25565,534
136223.135.0.0/16223.135.0.1 to 223.135.255.254223.135.255.25565,534
137223.136.0.0/16223.136.0.1 to 223.136.255.254223.136.255.25565,534
138223.137.0.0/16223.137.0.1 to 223.137.255.254223.137.255.25565,534
139223.138.0.0/16223.138.0.1 to 223.138.255.254223.138.255.25565,534
140223.139.0.0/16223.139.0.1 to 223.139.255.254223.139.255.25565,534
141223.140.0.0/16223.140.0.1 to 223.140.255.254223.140.255.25565,534
142223.141.0.0/16223.141.0.1 to 223.141.255.254223.141.255.25565,534
143223.142.0.0/16223.142.0.1 to 223.142.255.254223.142.255.25565,534
144223.143.0.0/16223.143.0.1 to 223.143.255.254223.143.255.25565,534
145223.144.0.0/16223.144.0.1 to 223.144.255.254223.144.255.25565,534
146223.145.0.0/16223.145.0.1 to 223.145.255.254223.145.255.25565,534
147223.146.0.0/16223.146.0.1 to 223.146.255.254223.146.255.25565,534
148223.147.0.0/16223.147.0.1 to 223.147.255.254223.147.255.25565,534
149223.148.0.0/16223.148.0.1 to 223.148.255.254223.148.255.25565,534
150223.149.0.0/16223.149.0.1 to 223.149.255.254223.149.255.25565,534
151223.150.0.0/16223.150.0.1 to 223.150.255.254223.150.255.25565,534
152223.151.0.0/16223.151.0.1 to 223.151.255.254223.151.255.25565,534
153223.152.0.0/16223.152.0.1 to 223.152.255.254223.152.255.25565,534
154223.153.0.0/16223.153.0.1 to 223.153.255.254223.153.255.25565,534
155223.154.0.0/16223.154.0.1 to 223.154.255.254223.154.255.25565,534
156223.155.0.0/16223.155.0.1 to 223.155.255.254223.155.255.25565,534
157223.156.0.0/16223.156.0.1 to 223.156.255.254223.156.255.25565,534
158223.157.0.0/16223.157.0.1 to 223.157.255.254223.157.255.25565,534
159223.158.0.0/16223.158.0.1 to 223.158.255.254223.158.255.25565,534
160223.159.0.0/16223.159.0.1 to 223.159.255.254223.159.255.25565,534
161223.160.0.0/16223.160.0.1 to 223.160.255.254223.160.255.25565,534
162223.161.0.0/16223.161.0.1 to 223.161.255.254223.161.255.25565,534
163223.162.0.0/16223.162.0.1 to 223.162.255.254223.162.255.25565,534
164223.163.0.0/16223.163.0.1 to 223.163.255.254223.163.255.25565,534
165223.164.0.0/16223.164.0.1 to 223.164.255.254223.164.255.25565,534
166223.165.0.0/16223.165.0.1 to 223.165.255.254223.165.255.25565,534
167223.166.0.0/16223.166.0.1 to 223.166.255.254223.166.255.25565,534
168223.167.0.0/16223.167.0.1 to 223.167.255.254223.167.255.25565,534
169223.168.0.0/16223.168.0.1 to 223.168.255.254223.168.255.25565,534
170223.169.0.0/16223.169.0.1 to 223.169.255.254223.169.255.25565,534
171223.170.0.0/16223.170.0.1 to 223.170.255.254223.170.255.25565,534
172223.171.0.0/16223.171.0.1 to 223.171.255.254223.171.255.25565,534
173223.172.0.0/16223.172.0.1 to 223.172.255.254223.172.255.25565,534
174223.173.0.0/16223.173.0.1 to 223.173.255.254223.173.255.25565,534
175223.174.0.0/16223.174.0.1 to 223.174.255.254223.174.255.25565,534
176223.175.0.0/16223.175.0.1 to 223.175.255.254223.175.255.25565,534
177223.176.0.0/16223.176.0.1 to 223.176.255.254223.176.255.25565,534
178223.177.0.0/16223.177.0.1 to 223.177.255.254223.177.255.25565,534
179223.178.0.0/16223.178.0.1 to 223.178.255.254223.178.255.25565,534
180223.179.0.0/16223.179.0.1 to 223.179.255.254223.179.255.25565,534
181223.180.0.0/16223.180.0.1 to 223.180.255.254223.180.255.25565,534
182223.181.0.0/16223.181.0.1 to 223.181.255.254223.181.255.25565,534
183223.182.0.0/16223.182.0.1 to 223.182.255.254223.182.255.25565,534
184223.183.0.0/16223.183.0.1 to 223.183.255.254223.183.255.25565,534
185223.184.0.0/16223.184.0.1 to 223.184.255.254223.184.255.25565,534
186223.185.0.0/16223.185.0.1 to 223.185.255.254223.185.255.25565,534
187223.186.0.0/16223.186.0.1 to 223.186.255.254223.186.255.25565,534
188223.187.0.0/16223.187.0.1 to 223.187.255.254223.187.255.25565,534
189223.188.0.0/16223.188.0.1 to 223.188.255.254223.188.255.25565,534
190223.189.0.0/16223.189.0.1 to 223.189.255.254223.189.255.25565,534
191223.190.0.0/16223.190.0.1 to 223.190.255.254223.190.255.25565,534
192223.191.0.0/16223.191.0.1 to 223.191.255.254223.191.255.25565,534
193223.192.0.0/16223.192.0.1 to 223.192.255.254223.192.255.25565,534
194223.193.0.0/16223.193.0.1 to 223.193.255.254223.193.255.25565,534
195223.194.0.0/16223.194.0.1 to 223.194.255.254223.194.255.25565,534
196223.195.0.0/16223.195.0.1 to 223.195.255.254223.195.255.25565,534
197223.196.0.0/16223.196.0.1 to 223.196.255.254223.196.255.25565,534
198223.197.0.0/16223.197.0.1 to 223.197.255.254223.197.255.25565,534
199223.198.0.0/16223.198.0.1 to 223.198.255.254223.198.255.25565,534
200223.199.0.0/16223.199.0.1 to 223.199.255.254223.199.255.25565,534
201223.200.0.0/16223.200.0.1 to 223.200.255.254223.200.255.25565,534
202223.201.0.0/16223.201.0.1 to 223.201.255.254223.201.255.25565,534
203223.202.0.0/16223.202.0.1 to 223.202.255.254223.202.255.25565,534
204223.203.0.0/16223.203.0.1 to 223.203.255.254223.203.255.25565,534
205223.204.0.0/16223.204.0.1 to 223.204.255.254223.204.255.25565,534
206223.205.0.0/16223.205.0.1 to 223.205.255.254223.205.255.25565,534
207223.206.0.0/16223.206.0.1 to 223.206.255.254223.206.255.25565,534
208223.207.0.0/16223.207.0.1 to 223.207.255.254223.207.255.25565,534
209223.208.0.0/16223.208.0.1 to 223.208.255.254223.208.255.25565,534
210223.209.0.0/16223.209.0.1 to 223.209.255.254223.209.255.25565,534
211223.210.0.0/16223.210.0.1 to 223.210.255.254223.210.255.25565,534
212223.211.0.0/16223.211.0.1 to 223.211.255.254223.211.255.25565,534
213223.212.0.0/16223.212.0.1 to 223.212.255.254223.212.255.25565,534
214223.213.0.0/16223.213.0.1 to 223.213.255.254223.213.255.25565,534
215223.214.0.0/16223.214.0.1 to 223.214.255.254223.214.255.25565,534
216223.215.0.0/16223.215.0.1 to 223.215.255.254223.215.255.25565,534
217223.216.0.0/16223.216.0.1 to 223.216.255.254223.216.255.25565,534
218223.217.0.0/16223.217.0.1 to 223.217.255.254223.217.255.25565,534
219223.218.0.0/16223.218.0.1 to 223.218.255.254223.218.255.25565,534
220223.219.0.0/16223.219.0.1 to 223.219.255.254223.219.255.25565,534
221223.220.0.0/16223.220.0.1 to 223.220.255.254223.220.255.25565,534
222223.221.0.0/16223.221.0.1 to 223.221.255.254223.221.255.25565,534
223223.222.0.0/16223.222.0.1 to 223.222.255.254223.222.255.25565,534
224223.223.0.0/16223.223.0.1 to 223.223.255.254223.223.255.25565,534
225223.224.0.0/16223.224.0.1 to 223.224.255.254223.224.255.25565,534
226223.225.0.0/16223.225.0.1 to 223.225.255.254223.225.255.25565,534
227223.226.0.0/16223.226.0.1 to 223.226.255.254223.226.255.25565,534
228223.227.0.0/16223.227.0.1 to 223.227.255.254223.227.255.25565,534
229223.228.0.0/16223.228.0.1 to 223.228.255.254223.228.255.25565,534
230223.229.0.0/16223.229.0.1 to 223.229.255.254223.229.255.25565,534
231223.230.0.0/16223.230.0.1 to 223.230.255.254223.230.255.25565,534
232223.231.0.0/16223.231.0.1 to 223.231.255.254223.231.255.25565,534
233223.232.0.0/16223.232.0.1 to 223.232.255.254223.232.255.25565,534
234223.233.0.0/16223.233.0.1 to 223.233.255.254223.233.255.25565,534
235223.234.0.0/16223.234.0.1 to 223.234.255.254223.234.255.25565,534
236223.235.0.0/16223.235.0.1 to 223.235.255.254223.235.255.25565,534
237223.236.0.0/16223.236.0.1 to 223.236.255.254223.236.255.25565,534
238223.237.0.0/16223.237.0.1 to 223.237.255.254223.237.255.25565,534
239223.238.0.0/16223.238.0.1 to 223.238.255.254223.238.255.25565,534
240223.239.0.0/16223.239.0.1 to 223.239.255.254223.239.255.25565,534
241223.240.0.0/16223.240.0.1 to 223.240.255.254223.240.255.25565,534
242223.241.0.0/16223.241.0.1 to 223.241.255.254223.241.255.25565,534
243223.242.0.0/16223.242.0.1 to 223.242.255.254223.242.255.25565,534
244223.243.0.0/16223.243.0.1 to 223.243.255.254223.243.255.25565,534
245223.244.0.0/16223.244.0.1 to 223.244.255.254223.244.255.25565,534
246223.245.0.0/16223.245.0.1 to 223.245.255.254223.245.255.25565,534
247223.246.0.0/16223.246.0.1 to 223.246.255.254223.246.255.25565,534
248223.247.0.0/16223.247.0.1 to 223.247.255.254223.247.255.25565,534
249223.248.0.0/16223.248.0.1 to 223.248.255.254223.248.255.25565,534
250223.249.0.0/16223.249.0.1 to 223.249.255.254223.249.255.25565,534
251223.250.0.0/16223.250.0.1 to 223.250.255.254223.250.255.25565,534
252223.251.0.0/16223.251.0.1 to 223.251.255.254223.251.255.25565,534
253223.252.0.0/16223.252.0.1 to 223.252.255.254223.252.255.25565,534
254223.253.0.0/16223.253.0.1 to 223.253.255.254223.253.255.25565,534
255223.254.0.0/16223.254.0.1 to 223.254.255.254223.254.255.25565,534
256223.255.0.0/16223.255.0.1 to 223.255.255.254223.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses